迷雾通linux的打包格式从flatpak换成appimage会不会更好?

使用翻墙软件的一个最重要的前提,就是必须找一个 不需要翻墙的下载方式 来下载翻墙软件。这一点迷雾通做的还是比较人性化的,用这个网站就可以下载:https://waa.ai/xiazaimiwutong

但问题在于,迷雾通 Linux 的 Flatpak 包在安装时,需要下载体积很大的依赖,官方的 Flathub 商店如果不翻墙会非常非常卡,内地目前只找到了上海交通大学的 Flathub 镜像(Flathub 的智能缓存) ,但下载速度也差强人意。所以还是得翻墙才能下载。

其实作者可以试试 appimage 这种打包格式https://appimage.org/,电脑不会需要安装什么依赖。

顺便吐槽一下:网上很多人在比较 snap 和 flatpak 时,踩 snap 都踩的很厉害,但在 snap store 里安装软件时,不需要翻墙,反而用 flathub 时需要翻墙。

1 Like

也就是我不会,会的话我直接用QT写一个了。

宁愿用命令行也不用flatpak

其实如果没有记错的话,4.5.0以前的版本就是用appimage打包的。但是当时有一个问题,就是系统glib2版本必须低于某个版本才能够使用,否则会报错闪退。这使得当时很多包比较新的发行版都无法使用,比如说arch linux之类的,也许换打包格式时考虑过这点。(但是flatpak的依赖也是会更新的,像现在这样flatpak的GNOME工具链版本都已经更新了好多版了却还在用已经不支持了的版本也是挺难受的...

1 Like

应该是没有用appimage打包过,我记得4.4那会儿都是tar.xz文件,40-50MB左右,下载解压就能运行,我现在还有4.4.20的安装包。

也可以下载源码编译geph-client

可能正是因为snap流行程度不够,才没有被墙

arch linux更新系统后就不能用了,打开geph软件显示白屏,不更新系统之前能用,希望解决这个问题

那应该就是只有4.5.0用过了。这个东西我印象还是挺深刻的,尤其是当时我尝试过开一个容器来跑这个,并且后面成功跑起来了,所以才下了这个结论的。